package agilpizza.servlet.admin;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import agilpizza.dao.PedidoDAO;
import agilpizza.modelo.Pedido;
import agilpizza.modelo.PedidoItemPizza;

public class MudaEstadoPizzaServlet extends HttpServlet {

	private static final long serialVersionUID = -4127253820264183478L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		
		String pedido = (String)req.getParameter("pedido");
		String pizza = (String)req.getParameter("pizza");
		String estado = (String)req.getParameter("estado");
		
		int idpizza = Integer.parseInt(pizza);
		int idpedido = Integer.parseInt(pedido);
		
		PedidoDAO pedidosDao = (PedidoDAO) getServletContext().getAttribute("pedidosDao");
		if (pedidosDao != null)
		{   Pedido pedidoAlterado = pedidosDao.buscaPedido(idpedido);
		    PedidoItemPizza pizzaAlterada = pedidoAlterado.getPizza(idpizza);
		    pizzaAlterada.setEstadoDoItem(estado);
		
		}
		
		
		resp.sendRedirect("listaPedidos.jsp");
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		this.doGet(req, resp);
	}
}
